<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>gshell</artifactId>
    <groupId>org.apache.servicemix.kernel.gshell</groupId>
    <version>1.0.2.0-fuse</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.apache.servicemix.kernel.gshell</groupId>
  <artifactId>org.apache.servicemix.kernel.gshell.core</artifactId>
  <packaging>bundle</packaging>
  <name>Apache ServiceMix Kernel :: GShell Core</name>
  <version>1.0.2.0-fuse</version>
  <description>Provides the OSGi GShell integration</description>
  <build>
    <resources>
      <resource>
        <directory>${pom.basedir}/src/main/resources</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
      <resource>
        <filtering>true</filtering>
        <directory>${pom.basedir}/src/main/filtered-resources</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>exec-maven-plugin</artifactId>
        <configuration>
          <mainClass>Main</mainClass>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <configuration>
          <instructions>
            <Bundle-SymbolicName>${artifactId}</Bundle-SymbolicName>
            <Import-Package>${gshell.osgi.import}</Import-Package>
            <DynamicImport-Package>sun.misc.*</DynamicImport-Package>
            <Export-Package>${gshell.osgi.export}</Export-Package>
            <Private-Package>${gshell.osgi.private}</Private-Package>
            <Spring-Context>*;publish-context:=false;create-asynchronously:=false</Spring-Context>
          </instructions>
          <unpackBundle>true</unpackBundle>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <includes>
                  <include>org.apache.geronimo.gshell:gshell-cli</include>
                  <include>org.apache.geronimo.gshell:gshell-command-api</include>
                  <include>org.apache.geronimo.gshell:gshell-core</include>
                  <include>org.apache.geronimo.gshell.support:gshell-plexus</include>
                  <include>org.apache.geronimo.gshell.support:gshell-common</include>
                  <include>org.apache.geronimo.gshell.support:gshell-ansi</include>
                  <include>org.apache.geronimo.gshell.support:gshell-i18n</include>
                  <include>org.apache.geronimo.gshell.support:gshell-clp</include>
                  <include>org.apache.geronimo.gshell.support:gshell-prefs</include>
                  <include>org.apache.geronimo.gshell:gshell-parser</include>
                  <include>org.apache.geronimo.gshell:gshell-model</include>
                  <include>org.apache.geronimo.gshell:gshell-whisper</include>
                  <include>org.apache.geronimo.gshell.remote:gshell-remote-client</include>
                  <include>org.apache.geronimo.gshell.remote:gshell-remote-common</include>
                  <include>org.apache.geronimo.gshell.remote:gshell-remote-server</include>
                  <include>jline:jline</include>
                  <include>${project.groupId}:${project.artifactId}</include>
                </includes>
              </artifactSet>
              <filters>
                <filter>
                  <artifact>org.apache.geronimo.gshell:gshell-cli</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell:gshell-command-api</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell:gshell-core</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.support:gshell-plexus</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.support:gshell-common</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.support:gshell-ansi</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.support:gshell-i18n</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.support:gshell-clp</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.support:gshell-prefs</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell:gshell-parser</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell:gshell-model</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell:gshell-whisper</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.remote:gshell-remote-client</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.remote:gshell-remote-common</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.geronimo.gshell.remote:gshell-remote-server</artifact>
                  <excludes>
                    <exclude>org/apache/geronimo/gshell/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>jline:jline</artifact>
                  <excludes>
                    <exclude>jline/**</exclude>
                  </excludes>
                </filter>
              </filters>
              <createSourcesJar>${createSourcesJar}</createSourcesJar>
              <promoteTransitiveDependencies>true</promoteTransitiveDependencies>
              <createDependencyReducedPom>true</createDependencyReducedPom>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <dependencies>
    <dependency>
      <groupId>org.apache.servicemix.kernel</groupId>
      <artifactId>org.apache.servicemix.kernel.main</artifactId>
      <version>1.0.2.0-fuse</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.servicemix.kernel.jaas</groupId>
      <artifactId>org.apache.servicemix.kernel.jaas.config</artifactId>
      <version>1.0.2.0-fuse</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework.osgi</groupId>
      <artifactId>spring-osgi-core</artifactId>
      <version>1.1.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework.osgi</groupId>
      <artifactId>spring-osgi-io</artifactId>
      <version>1.1.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
      <version>2.5.5</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
      <version>2.5.5</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>2.5.5</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>2.5.5</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.1.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.servicemix.bundles</groupId>
      <artifactId>org.apache.servicemix.bundles.cglib</artifactId>
      <version>2.1_3_1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-container-default</artifactId>
      <version>1.0-alpha-43</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>aspectj</groupId>
      <artifactId>aspectjrt</artifactId>
      <version>1.5.3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-utils</artifactId>
      <version>1.4.5</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-classworlds</artifactId>
      <version>1.2-alpha-10</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.4.3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-component-annotations</artifactId>
      <version>1.0-alpha-13</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.thoughtworks.xstream</groupId>
      <artifactId>xstream</artifactId>
      <version>1.3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>xpp3</groupId>
      <artifactId>xpp3_min</artifactId>
      <version>1.1.4c</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.artifact</groupId>
      <artifactId>maven-artifact</artifactId>
      <version>3.0-alpha-1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.wagon</groupId>
      <artifactId>wagon-provider-api</artifactId>
      <version>1.0-beta-3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-jexl</groupId>
      <artifactId>commons-jexl</artifactId>
      <version>1.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-vfs</groupId>
      <artifactId>commons-vfs</artifactId>
      <version>1.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-component-api</artifactId>
      <version>1.0-alpha-32</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>aopalliance</groupId>
      <artifactId>aopalliance</artifactId>
      <version>1.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-jdk14</artifactId>
      <version>1.4.3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.servicemix.bundles</groupId>
      <artifactId>org.apache.servicemix.bundles.mina</artifactId>
      <version>1.1.6_1</version>
      <scope>compile</scope>
    </dependency>
  </dependencies>
  <properties>
    <gshell.osgi.export>org.apache.geronimo.gshell*;-split-package:=merge-first,</gshell.osgi.export>
    <gshell.osgi.private>jline*,
            org.apache.commons.jexl*,
            org.codehaus.plexus.personality.plexus.lifecycle.phase*;-split-package:=merge-first,
            org.codehaus.plexus.util*,</gshell.osgi.private>
    <gshell.osgi.import>org.springframework.aop.framework,
            org.aopalliance.aop,
            org.apache.servicemix.kernel.jaas.config;resolution:=optional,
            org.apache.servicemix.kernel.main.spi;resolution:=optional;version="1.0.0",
            com.thoughtworks.xstream*;resolution:=optional,
            junit.framework*;resolution:=optional,
            org.codehaus.plexus*;resolution:=optional,
            org.apache.maven*;resolution:=optional,
            org.apache.mina*;resolution:=optional,
            *</gshell.osgi.import>
  </properties>
</project>

